Index: apertium-3.1.0/configure.ac
===================================================================
--- apertium-3.1.0.orig/configure.ac	2008-11-05 15:42:48.000000000 +0100
+++ apertium-3.1.0/configure.ac	2012-12-16 19:04:54.421203953 +0100
@@ -61,8 +61,21 @@
 if test x$ARCH = xppc
 then
   AC_MSG_RESULT([PowerPC])
-  CFLAGS="$CFLAGS -Wall -ansi -mpowerpc -maltivec -fno-pic -fomit-frame-pointer"
-  CXXFLAGS="$CXXFLAGS -Wall -ansi -mpowerpc -maltivec -fno-pic -fomit-frame-pointer"
+  CFLAGS="$CFLAGS -Wall -ansi -mpowerpc -fno-pic -fomit-frame-pointer"
+  CXXFLAGS="$CXXFLAGS -Wall -ansi -mpowerpc -fno-pic -fomit-frame-pointer"
+  AC_COMPILE_IFELSE([
+#if defined(__GNUC__) && (__GNUC__ < 3 || (__GNUC__ == 3 && __GNUC_MINOR__ < 4))
+#error "Need GCC >= 3.4 for sane altivec support"    
+#endif
+#include <altivec.h>
+int main () {
+    vector unsigned int v = vec_splat_u32 (1);
+    v = vec_sub (v, v);
+    return 0;
+}], [
+  CFLAGS="$CFLAGS -maltivec"
+  CXXFLAGS="$CXXFLAGS -maltivec"
+],)
 else
   if test x$ARCH = xi686
   then
